InputField (Hyperic HQ Plugin API)
Keywords: org.hyperic.ui.tapestry.components.form.InputField class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.ui.tapestry.components.form
Class InputField

    java.lang.Object
      org.apache.hivemind.impl.BaseLocatable
          org.apache.tapestry.AbstractComponent
              org.apache.tapestry.BaseComponent
                  org.hyperic.ui.tapestry.components.form.InputField

All Implemented Interfaces:
  org.apache.hivemind.Locatable, org.apache.hivemind.LocationHolder, org.apache.tapestry.IComponent, org.apache.tapestry.IDirectEvent, org.apache.tapestry.internal.Component, org.apache.tapestry.IRender, org.apache.tapestry.ITemplateComponent

    public abstract class InputField

extends org.apache.tapestry.BaseComponent

Field Summary

Fields inherited from class org.apache.tapestry.AbstractComponent
`_body, _bodyCount`

Constructor Summary
`InputField()`

Method Summary
`abstract java.lang.String` | `getFieldHint()`
`abstract java.lang.String` | `getFieldLabel()`
`abstract java.lang.String` | `getFieldTitle()`
`abstract java.lang.String` | `getFieldValue()`
`abstract java.lang.String` | `getHelpID()` The id of the help topic to be displayed in a new window on help icon click
`abstract java.lang.String` | `getHelpTitle()` The short version of the help to be placed in at title widget on mouseover of the help icon
`java.lang.String` | `getHintStyle()`
`abstract java.lang.Boolean` | `getIsDisabled()`
`abstract java.lang.Boolean` | `getIsHidden()` Is this input field used for a password
`abstract java.lang.Boolean` | `getIsRequired()`
`java.lang.String` | `getLabel()`
`abstract java.util.Collection<org.apache.tapestry.form.validator.Validator>` | `getValidators()`
`abstract void` | `setFieldHint(java.lang.String hint)`
`abstract void` | `setFieldLabel(java.lang.String title)`
`abstract void` | `setFieldTitle(java.lang.String title)`
`abstract void` | `setFieldValue(java.lang.String value)`
`abstract void` | `setHelpID(java.lang.String id)`
`abstract void` | `setHelpTitle(java.lang.String title)`
`abstract void` | `setIsDisabled(java.lang.Boolean value)`
`abstract void` | `setIsHidden(java.lang.Boolean hidden)`
`abstract void` | `setIsRequired(java.lang.Boolean value)`
`abstract void` | `setValidators(java.util.Collection<org.apache.tapestry.form.validator.Validator> validators)`

Methods inherited from class org.apache.tapestry.BaseComponent
`addOuter, finishLoad, getContainedRenderers, getInnerRenderers, renderComponent`

Methods inherited from class org.apache.tapestry.AbstractComponent
`addAsset, addBody, addComponent, checkActiveLock, cleanupAfterRender, enterActiveState, equals, finishLoad, generateClientId, getAsset, getAssets, getBeans, getBinding, getBindingNames, getBindings, getBody, getBodyCount, getBoundId, getClientId, getComponent, getComponents, getContainedComponent, getContainer, getEventInvoker, getExtendedId, getId, getIdPath, getListeners, getMessages, getNamespace, getPage, getRenderWorker, getSpecification, getSpecifiedId, getTemplateTagName, hasEvents, hashCode, isInActiveState, isParameterBound, isRendering, isStateful, pageEndRender, peekClientId, prepareForRender, render, renderBody, renderIdAttribute, renderInformalParameters, setBinding, setClientId, setContainedComponent, setContainer, setHasEvents, setId, setNamespace, setPage, setTemplateTagName, toString, triggerEvent`

Methods inherited from class org.apache.hivemind.impl.BaseLocatable
`getLocation, setLocation`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.tapestry.IComponent
`addAsset, addBody, addComponent, enterActiveState, getAsset, getAssets, getBeans, getBinding, getBindingNames, getBindings, getClientId, getComponent, getComponents, getContainedComponent, getContainer, getEventInvoker, getExtendedId, getId, getIdPath, getListeners, getMessages, getNamespace, getPage, getSpecification, getSpecifiedId, getTemplateTagName, isRendering, peekClientId, renderBody, setBinding, setClientId, setContainedComponent, setContainer, setId, setNamespace, setPage, setTemplateTagName`

Methods inherited from interface org.apache.tapestry.IRender
`render`

Methods inherited from interface org.apache.hivemind.LocationHolder
`setLocation`

Methods inherited from interface org.apache.hivemind.Locatable
`getLocation`

Constructor Detail

### InputField

    public InputField()

Method Detail

### getIsHidden

    @Parameter(name="isPassword",
               defaultValue="false")
    public abstract java.lang.Boolean getIsHidden()

  Is this input field used for a password

  Returns:
  See Also:
    `TextField.isHidden()`

### setIsHidden

    public abstract void setIsHidden(java.lang.Boolean hidden)

### getIsRequired

    @Parameter(name="isRequired",
               defaultValue="false")
    public abstract java.lang.Boolean getIsRequired()

  Returns:

### setIsRequired

    public abstract void setIsRequired(java.lang.Boolean value)

### getIsDisabled

    @Parameter(name="disabled",
               defaultValue="false")
    public abstract java.lang.Boolean getIsDisabled()

  Returns:

### setIsDisabled

    public abstract void setIsDisabled(java.lang.Boolean value)

### getFieldValue

    @Parameter(name="fieldValue",
               required=true)
    public abstract java.lang.String getFieldValue()

  Parameters:
    `the` - value of the input field

### setFieldValue

    public abstract void setFieldValue(java.lang.String value)

### getFieldLabel

    @Parameter(name="fieldLabel",
               required=true)
    public abstract java.lang.String getFieldLabel()

  Parameters:
    `the` - field title

### setFieldLabel

    public abstract void setFieldLabel(java.lang.String title)

### getFieldTitle

    @Parameter(name="fieldTitle",
               required=true)
    public abstract java.lang.String getFieldTitle()

  Parameters:
    `the` - field title

### setFieldTitle

    public abstract void setFieldTitle(java.lang.String title)

### getFieldHint

    @Parameter(name="fieldHint",
               defaultValue="literal:")
    public abstract java.lang.String getFieldHint()

  Parameters:
    `the` - field title

### setFieldHint

    public abstract void setFieldHint(java.lang.String hint)

### getHelpTitle

    @Parameter(name="helpTitle",
               defaultValue="literal:")
    public abstract java.lang.String getHelpTitle()

  The short version of the help to be placed in at title widget on mouseover of the help icon

  Parameters:
    `the` - help title summary text

### setHelpTitle

    public abstract void setHelpTitle(java.lang.String title)

### getHelpID

    @Parameter(name="helpID")
    public abstract java.lang.String getHelpID()

  The id of the help topic to be displayed in a new window on help icon click

  Parameters:
    `the` - help topic id

### setHelpID

    public abstract void setHelpID(java.lang.String id)

### getValidators

    @Parameter(name="validators",
               required=false)
    public abstract java.util.Collection<org.apache.tapestry.form.validator.Validator> getValidators()

  Returns:

### setValidators

    public abstract void setValidators(java.util.Collection<org.apache.tapestry.form.validator.Validator> validators)

### getLabel

    public java.lang.String getLabel()

### getHintStyle

    public java.lang.String getHintStyle()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.